View Issue Details

IDProjectCategoryView StatusLast Update
0031044FPCPatchpublic2016-12-09 22:51
ReportersilvioprogAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.1.1Product Build 
Target Version3.2.0Fixed in Version3.1.1 
Summary0031044: [PATCH] Remove unused variable in typinfo
DescriptionHello,

Patch in attachment.
TagsNo tags attached.
Fixed in Revision35062
FPCOldBugId
FPCTarget
Attached Files
  • 0001-rtl-removes-unused-variable.-patch-by-Silvio-Clecio.patch (846 bytes)
    From ae845b080936dd2be8a34de35afcc4da0decfa29 Mon Sep 17 00:00:00 2001
    From: silvioprog <silvioprog@gmail.com>
    Date: Wed, 30 Nov 2016 22:53:07 -0300
    Subject: [PATCH] rtl: removes unused variable. (patch by Silvio Clecio)
    
    ---
     rtl/objpas/typinfo.pp | 3 ---
     1 file changed, 3 deletions(-)
    
    diff --git a/rtl/objpas/typinfo.pp b/rtl/objpas/typinfo.pp
    index e20fa32..c0550b8 100644
    --- a/rtl/objpas/typinfo.pp
    +++ b/rtl/objpas/typinfo.pp
    @@ -1386,12 +1386,9 @@ type
       TGetInterfaceProc=function:IInterface of object;
       TGetInterfaceProcIndex=function(index:longint):IInterface of object;
     var
    -  TypeInfo: PTypeInfo;
       AMethod : TMethod;
     begin
       Result:=nil;
    -
    -  TypeInfo := PropInfo^.PropType;
       case (PropInfo^.PropProcs) and 3 of
         ptField:
           Result:=IInterface(PPointer(Pointer(Instance)+PtrUInt(PropInfo^.GetProc))^);
    -- 
    2.7.4
    
    

Activities

silvioprog

2016-12-01 03:01

reporter  

0001-rtl-removes-unused-variable.-patch-by-Silvio-Clecio.patch (846 bytes)
From ae845b080936dd2be8a34de35afcc4da0decfa29 Mon Sep 17 00:00:00 2001
From: silvioprog <silvioprog@gmail.com>
Date: Wed, 30 Nov 2016 22:53:07 -0300
Subject: [PATCH] rtl: removes unused variable. (patch by Silvio Clecio)

---
 rtl/objpas/typinfo.pp | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/rtl/objpas/typinfo.pp b/rtl/objpas/typinfo.pp
index e20fa32..c0550b8 100644
--- a/rtl/objpas/typinfo.pp
+++ b/rtl/objpas/typinfo.pp
@@ -1386,12 +1386,9 @@ type
   TGetInterfaceProc=function:IInterface of object;
   TGetInterfaceProcIndex=function(index:longint):IInterface of object;
 var
-  TypeInfo: PTypeInfo;
   AMethod : TMethod;
 begin
   Result:=nil;
-
-  TypeInfo := PropInfo^.PropType;
   case (PropInfo^.PropProcs) and 3 of
     ptField:
       Result:=IInterface(PPointer(Pointer(Instance)+PtrUInt(PropInfo^.GetProc))^);
-- 
2.7.4

Michael Van Canneyt

2016-12-04 12:57

administrator   ~0096499

Applied, thanks for the patch.

silvioprog

2016-12-09 22:51

reporter   ~0096632

Thanks! (y)

Issue History

Date Modified Username Field Change
2016-12-01 03:01 silvioprog New Issue
2016-12-01 03:01 silvioprog File Added: 0001-rtl-removes-unused-variable.-patch-by-Silvio-Clecio.patch
2016-12-01 08:22 Michael Van Canneyt Assigned To => Michael Van Canneyt
2016-12-01 08:22 Michael Van Canneyt Status new => assigned
2016-12-04 12:57 Michael Van Canneyt Fixed in Revision => 35062
2016-12-04 12:57 Michael Van Canneyt Note Added: 0096499
2016-12-04 12:57 Michael Van Canneyt Status assigned => resolved
2016-12-04 12:57 Michael Van Canneyt Fixed in Version => 3.1.1
2016-12-04 12:57 Michael Van Canneyt Resolution open => fixed
2016-12-04 12:57 Michael Van Canneyt Target Version => 3.2.0
2016-12-09 22:51 silvioprog Note Added: 0096632
2016-12-09 22:51 silvioprog Status resolved => closed